Update User Role AssignmentsAsk AIput https://{application_vanity_domain}/api/v1/users/{userId}/rolesPath ParamsuserIdstringrequiredlength between 1 and 26User IdQuery Paramsallow_partial_failuresbooleanDefaults to falseBoolean indicating whether partial failures are allowed. If set to true the request will succeed as long as one of the specified role assignments succeed. The response status in this case will be a 200 and the response body will contain a list of any role assignment failures that occurred. If set to false all the specified role assignments must succeed in order for the request to succeed. In this case the response status will be a 204.truetruefalseBody ParamsRole Assignment RequestroleIdsarray of stringsrequiredlength ≤ 5List of role IDs that should be assigned to either a user or client.roleIds*ADD stringResponses 200This response will only be returned if the allow_partial_failures query parameter was set to true. 204No Content 400Bad Request 401Unauthorized 403Forbidden 404Not Found 405Method Not Allowed 406Not Acceptable 409Conflict 415Unsupported Media Type 500Internal Server Error 503Service UnavailableUpdated 6 months ago